# InterfaceGraphic_tgl_all.h File Reference

## Defines

#define | TGL_SP 1
#define | TGL_DP 0
#define | TOn 1
#define | TOff 0
#define | TDone 1
#define | TNotDone 0

## Typedefs

typedef int | Tint
typedef float | Tfloat
typedef char | Tchar
typedef char | Tbool
typedef unsigned int | Tuint
typedef Tfloat | Tmatrix3 [4][4]

## Enumerations

enum | TStatus { TFailure = -1, TSuccess }
enum | TComposeType { TPreConcatenate, TPostConcatenate, TReplace }

## Define Documentation

#define TDone 1

#define TGL_DP 0

#define TGL_SP 1

#define TNotDone 0

#define TOff 0

#define TOn 1

## Typedef Documentation

typedef char Tbool

typedef char Tchar

typedef float Tfloat

typedef int Tint

typedef Tfloat Tmatrix3[4][4]

typedef unsigned int Tuint

## Enumeration Type Documentation

enum TComposeType

Enumeration values:

  TPreConcatenate |
  TPostConcatenate |
  TReplace |

enum TStatus

Enumeration values:

  TFailure |
  TSuccess |